---
title: "ICMP Monitor Details abrufen"
description: "Gibt ein konsolidiertes Payload zurück, das in der Monitor-Detailseite verwendet wird (u. a. Monitor, letzter Check, aggregierte Daten im Zeitbereich)."
---

`GET /api/icmp-monitors/:icmpMonitorPublicId/details`

## Authentifizierung

Erfordert eine gültige Session.

- Header: `Authorization: Bearer <token>`

## Parameter

- `icmpMonitorPublicId` (Pfad, erforderlich): Öffentliche UUID des ICMP Monitors.

### Time-Range Query-Parameter

Der Zeitbereich kann auf mehrere Arten definiert werden. Nutze die einfachste Option für deinen Use-Case:

- `range` (Query, optional): Preset-Zeitraum.
  - Erlaubt: `day` (Default), `week`, `month`, `year`
- `date` (Query, optional): Referenzdatum, das als Default-Ende verwendet wird.
  - Beispiel: `2026-02-26`
- `startDate` (Query, optional): Startdatum/-zeit.
- `endDate` (Query, optional): Enddatum/-zeit.
- `granularity` (Query, optional): Steuert Aggregation.
  - Nutze `raw`, um Aggregation zu deaktivieren.
  - Jeder andere Wert aktiviert Aggregation.
  - Wenn nicht gesetzt, aggregiert der Server ggf. automatisch bei größeren Zeitbereichen.

## cURL

```bash
curl -X GET "https://YOUR_DOMAIN/api/icmp-monitors/22222222-2222-4222-8222-222222222222/details?range=day&granularity=raw" \
  -H "Authorization: Bearer $TOKEN"
```

## Response

Top-Level Felder (aktueller Stand):

- `icmpMonitorId`
- `monitor`
- `latestCheck`
- `uptimeStats`, `uptimeStatsMeta`
- `monitoringData`
- `incidents`
- `alerts`
- `testResultLog`
- `maintenance`

Beispiel:

```json
{
  "icmpMonitorId": 123,
  "monitor": {
    "id": 123,
    "customerId": 10,
    "organizationId": 1,
    "name": "Core Router",
    "hostname": "10.0.0.1",
    "status": "active",
    "checkInterval": 30,
    "timeoutSeconds": 30,
    "port": null,
    "config": { "packetSize": 56, "count": 3 },
    "notificationPhoneNumber": null,
    "notificationEmail": null,
    "lastCheckedAt": null,
    "createdAt": "2026-02-26T12:00:00.000Z",
    "updatedAt": "2026-02-26T12:00:00.000Z"
  },
  "latestCheck": null,
  "uptimeStats": {
    "day": "100.00",
    "month": "100.00",
    "year": "100.00",
    "dayAvgResponse": 22,
    "monthAvgResponse": 22,
    "yearAvgResponse": 22
  },
  "uptimeStatsMeta": {
    "day": { "window": "24h", "downtimeMinutes": 0, "incidents": 0, "checksTotal": 24, "checksFailed": 0 },
    "month": { "window": "30d", "downtimeMinutes": 0, "incidents": 0, "checksTotal": 720, "checksFailed": 0 },
    "year": { "window": "YTD", "downtimeMinutes": 0, "incidents": 0, "checksTotal": 1000, "checksFailed": 0 }
  },
  "monitoringData": {
    "responseTimeData": [
      {
        "timestamp": "2026-02-26T12:00:00.000Z",
        "responseTime": 22,
        "status": "success",
        "success": true,
        "timingDns": 0,
        "timingTcp": 22,
        "timingTls": 0,
        "timingTtfb": 0,
        "timingTransfer": 0
      }
    ],
    "statusData": [{ "date": "26.02", "status": "online" }],
    "uptimePercentage": "100.00",
    "checkSuccessRatePercentage": "100.00",
    "totalChecks": 100,
    "successfulChecks": 100
  },
  "incidents": { "history": [], "total": 0, "ongoing": 0, "totalDowntime": "0s" },
  "alerts": { "history": [], "total": 0, "notificationContext": { "orgDefaultEmail": null, "orgDefaultPhoneNumber": null, "customerEmail": null, "notificationTargets": [] } },
  "testResultLog": [],
  "maintenance": { "inMaintenance": false, "activeWindows": [], "allWindows": [] }
}
```

## Fehler

- `400` Ungültige ICMP Monitor Public ID (UUID)
- `401` Unauthorized
- `403` Forbidden
- `404` ICMP Monitor nicht gefunden
- `500` Failed to fetch ICMP monitor details

